Canto-fetch(1)

NAME
Canto-fetch - A quiet feed fetcher.

DESCRIPTION
Canto-fetch is designed to be run through a cron job, every minute. Every time it's run, it checks the timestamp on each index file and updates the feed, if necessary. The format it produces is a simple UTF-8 encoded, NULL delimited text file on disk, readable by the canto client.

GETTING STARTED
Canto-fetch is meant to be used through a cron, adding this line to your crontab will cause canto-fetch to poll every minute. * * * * * canto-fetch Alternatively, if you're unable/uncomfortable using cron, canto-fetch has a background daemon mode so you can invoke it in your X session scripts. Just use canto-fetch -b

USAGE
These options correspond to options to the canto client.

-h / --help
    Print usage and quit.

-v / --version
    Print version and quit.

-V / --verbose
    Output status while updating.

-d / --daemon
    Continue to check for updates every minute. Mostly for debugging with -V, users probably want -b to background.

-b / --background
    Detach from the terminal (implies -d)

-f / --force
    Force updates on all feeds, ignoring timestamps.

-C / --conf [PATH]
    Set path to configuration file (default: ~/.canto/conf)

-F / --fdir [PATH]
    Set path to feed directory (default: ~/.canto/feeds/)

-L / --log [PATH]
    Set path to log (default: ~/.canto/fetchlog)

-S / --sdir [PATH]
    Set the path to execurl scripts (default ~/.canto/scripts/)

FILES

~/.canto/fetchlog
    Canto-fetch log file.

~/.canto/feeds/
    This is the directory where canto-fetch records stories.

BUGS
None known, but it's not outside of the realm of possibility =P.

HOMEPAGE
http://codezen.org/canto

AUTHOR
Jack Miller <jack@codezen.org>